From c2ffc620bdc98731f74551f242892b1747127bda Mon Sep 17 00:00:00 2001
From: Aurélien Bompard <aurelien@bompard.org>
Date: May 04 2017 22:05:20 +0000
Subject: [PATCH 832/1001] Tests: fix auth_set when the context is already pushed


---

diff --git a/hubs/tests/__init__.py b/hubs/tests/__init__.py
index 729db65..afe1f2f 100644
--- a/hubs/tests/__init__.py
+++ b/hubs/tests/__init__.py
@@ -137,7 +137,13 @@ def auth_set(APP, auth):
         if not auth:
             g.auth = munch.Munch(logged_in=False, user=None)
 
-    with appcontext_pushed.connected_to(handler, APP):
+    if flask._app_ctx_stack.top is None:
+        # App context isn't pushed yet
+        with appcontext_pushed.connected_to(handler, APP):
+            yield
+    else:
+        # App context already pushed
+        handler(APP)
         yield
 
 

